<?php
session_start();
//conexao
require 'conexao.php';
require 'convertdata.php';
require 'verificarPedido.php';
require 'InformarValorPedido.php';

//apagar valor dos pedidos na tabela e consulta dos precos
$sql = "TRUNCATE precopedido";
mysqli_query($conexao, $sql);

	$arquivo = $_FILES["file"]["tmp_name"];
	$nome    = $_FILES["file"]["name"];

$nova_importacao = 0;
$listagem = mysqli_query($conexao, "SELECT max(seqsoft) as importacao from pedidos;");

while ($linha = mysqli_fetch_array($listagem))

{
    $importacao = $linha['importacao'];
    $nova_importacao = $importacao + 1;
}

	$ext = explode(";", $nome); 

	$objeto = fopen($arquivo, 'r');

		while (($dados  = fgetcsv($objeto, 1000, ";")) !== FALSE)

	 {
		
		$data =  date('Y/m/d H:i:s');
		$numpedido = ($dados[0]);
		$fornecedor = ($dados[1]);

        //se nao foi informado o fornecedor no pedido
        if(empty($fornecedor)){
        //peque o fornecedor da mercadoria no sistema que esta na posição 8
        $fornecedor = ($dados[8]);

        }

		$datapedido = ($dados[2]);
		$fabricante = ($dados[3]);
		$observacao = ($dados[4]);
		$loja1 = ($dados[5]);
		$loja2 = strtolower($loja1);
		$loja = str_replace(' ', '', $loja2);

		//quantidade e valor dos pedidos

		$quantidade = ($dados[6]);
		$qt=str_replace(",",".",$quantidade);
		$valorp = ($dados[7]);
		$valorp2 =str_replace(",",".",$valorp);
		$valorgravar = ($qt * $valorp2);


		$status = 'Pendente';
		$prazo = 0;
		$datapedido2 = dataconvert($datapedido);


		//inserir o valor quantidade e importacao na tabela temporaria de valor dos pedidos
		$result= "INSERT INTO precopedido (valor_itens, numeropedido,importacao) VALUES ('$valorgravar','$numpedido', '$nova_importacao')";
		$result = mysqli_query($conexao, $result);


	//verificar se o pedido nao existe no arquivo. analisar a importancia de excluir pedidos
	$excluir = verificarExcluir($conexao,$numpedido,$nova_importacao);

	//verificar se pedido existe no sistema
	$gravar = verificar($conexao,$numpedido);
	
    //se nao foi informado o fornecedor no pedido deve proseguir.
    if(!empty($fornecedor)){
	

	if($gravar){

	$result_usuario = "INSERT INTO	pedidos (fornecedor,fabricante,prazo,obs,loja,status,datapedido,seqsoft, dataimport,numpedido)
	VALUES ('$fornecedor','$fabricante','$prazo','$observacao','$loja','$status','$datapedido2','$nova_importacao', '$data','$numpedido')";

	$result_usuario = mysqli_query($conexao, $result_usuario);

}

header("Location: ../subirpedidos.php");


}

//se fornecedor nao existir
} header("Location: ../subirpedidos.php");	
//
	//Excluir($conexao,$nova_importacao);
	//atualizar o valor do pedido
	valorpedido($nova_importacao, $conexao);